/*
 * $VER: DisplayInfo_shell.ma 1.0 (8.11.94)
 *
 * Output Display Module Information to the default output
 *
 */

OPTIONS RESULTS

ADDRESS MABROADCAST

say 'Display Settings Information :'
say '------------------------------'

GETPROJECTPORT                                     /* Test if there is a loaded */
IF rc ~= 0 THEN DO                                 /* project */

  GETDISPLAYSETTINGS MODULE LOCK                   /* No : Just output the module */
  PARSE VAR RESULT MODULE LOCK                     /* and the display lock status */

  say 'Display Module :' MODULE
  say 'Display Lock Status :'LOCK

END; ELSE DO                                       /* There is a project, get all infos */
  
  GETDISPLAYSETTINGS MODULE LOCK TYPE MODE WIDTH HEIGHT DEPTH MAXDEPTH
  PARSE VAR RESULT MODULE LOCK TYPE MODE WIDTH HEIGHT DEPTH MAXDEPTH .

  say 'Display Module : 'MODULE                    /* and output them */
  say 'Display Lock Status: 'LOCK
  GETDISPLAYSTRINGS 'T 'TYPE                       /* Get the string for the display type */
  say 'Display Type : 'RESULT
  IF UPPER(MODULE) = "AMIGA" THEN DO
    GETDISPLAYSTRINGS 'MODE 'MODE                  /* If Amiga module: Get the string for */
    say 'ModeID of Display: 'RESULT                /* the ModeID */
  END
  say 'Width, Height of Display: 'WIDTH', 'HEIGHT
  GETDISPLAYSETTINGS SPECIAL
  IF rc = 0 THEN DO                                /* If a special color mode is enabled */
    SPECIAL=RESULT                                 /* get the string and display it */
    GETDISPLAYSTRINGS 'SPECIAL 'SPECIAL
    say 'Color Mode: 'RESULT
  END
  say 'Depth of Display: 'DEPTH
  say 'Max Depth of Display: 'MAXDEPTH
END

say '------------------------------'
